apiVersion: apps/v1
kind: Deployment
metadata:
  name: server
spec:
  replicas: 1
  selector:
    matchLabels:
      app: server
  template:
    metadata:
      labels:
        app: server
    spec:
      nodeSelector:
        "kubernetes.io/os": linux
      containers:
        - name: server
          image: acripifrancisco.azurecr.io/ipi-cicd-deployment-server:main-446914e8clear
          ports:
            - containerPort: 3000
          env:
            - name: PORT
              value: "3000"
          resources:
            requests:
              cpu: 1m
              memory: 50Mi
            limits:
              cpu: 75m
              memory: 128Mi
          startupProbe:
            httpGet:
              path: /
              port: 3000
            failureThreshold: 3
            initialDelaySeconds: 15
            periodSeconds: 5
          readinessProbe:
            httpGet:
              path: /
              port: 3000
            failureThreshold: 3
            initialDelaySeconds: 3
            periodSeconds: 5
          livenessProbe:
            httpGet:
              path: /
              port: 3000
            failureThreshold: 5
            initialDelaySeconds: 3
            periodSeconds: 3
---
apiVersion: v1
kind: Service
metadata:
  name: server
spec:
  ports:
    - port: 80
      targetPort: 3000
  selector:
    app: server
  type: LoadBalancer
